<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'gems',

    /*
     * Package.
     */
    'package'   => 'student',

    /*
     * Modules.
     */
    'modules'   => ['student'],

    
    'student'       => [
        'model' => [
            'model'                 => \Gems\Student\Models\Student::class,
            'table'                 => 'students',
            'presenter'             => \Gems\Student\Repositories\Presenter\StudentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  's1_name',  's1_surname',  's1_gender',  's1_dob',  's1_entry_year',  's1_acad_year',  's1_school',  's1_country',  's2_name',  's2_surname',  's2_gender',  's2_dob',  's2_entry_year',  's2_acad_year',  's2_school',  's2_country',  's3_name',  's3_surname',  's3_gender',  's3_dob',  's3_entry_year',  's3_acad_year',  's3_school',  's3_country',  'mother_name',  'mother_surname',  'father_name',  'father_surname',  'mother_email',  'father_email',  'mother_phone',  'father_phone',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'student/student',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Gems',
            'package'   => 'Student',
            'module'    => 'Student',
        ],

    ],
];
