<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateStudentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: students
         */
        Schema::create('students', function ($table) {
            $table->increments('id');
            $table->string('s1_name', 250)->nullable();
            $table->string('s1_surname', 250)->nullable();
            $table->enum('s1_gender', ['male','female'])->nullable();
            $table->string('s1_dob', 50)->nullable();
            $table->string('s1_entry_year', 50)->nullable();
            $table->string('s1_acad_year', 50)->nullable();
            $table->string('s1_school', 50)->nullable();
            $table->string('s1_country', 50)->nullable();
            $table->string('s2_name', 250)->nullable();
            $table->string('s2_surname', 250)->nullable();
            $table->enum('s2_gender', ['male','female'])->nullable();
            $table->string('s2_dob', 50)->nullable();
            $table->string('s2_entry_year', 50)->nullable();
            $table->string('s2_acad_year', 50)->nullable();
            $table->string('s2_school', 50)->nullable();
            $table->string('s2_country', 50)->nullable();
            $table->string('s3_name', 250)->nullable();
            $table->string('s3_surname', 250)->nullable();
            $table->enum('s3_gender', ['male','female'])->nullable();
            $table->string('s3_dob', 50)->nullable();
            $table->string('s3_entry_year', 50)->nullable();
            $table->string('s3_acad_year', 50)->nullable();
            $table->string('s3_school', 50)->nullable();
            $table->string('s3_country', 50)->nullable();
            $table->string('mother_name', 250)->nullable();
            $table->string('mother_surname', 250)->nullable();
            $table->string('father_name', 250)->nullable();
            $table->string('father_surname', 250)->nullable();
            $table->string('mother_email', 250)->nullable();
            $table->string('father_email', 250)->nullable();
            $table->string('mother_phone', 50)->nullable();
            $table->string('father_phone', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('students');
    }
}
