<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('student::student.name') !!} <small> {!! trans('app.manage') !!} {!! trans('student::student.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('student::student.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='student-student-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('student/student')!!}">{!! trans('student::student.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('student/student?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('student/student?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('student/student/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('student::admin.student.partial.actions')
                    -->
                    @include('student::admin.student.partial.filter')
                    @include('student::admin.student.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="student-student-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="student-student-check-all"></th>
                        <th data-field="s1_name">{!! trans('student::student.label.s1_name')!!}</th>
                    <th data-field="s1_surname">{!! trans('student::student.label.s1_surname')!!}</th>
                    <th data-field="s1_gender">{!! trans('student::student.label.s1_gender')!!}</th>
                    <th data-field="s1_dob">{!! trans('student::student.label.s1_dob')!!}</th>
                    <th data-field="s1_entry_year">{!! trans('student::student.label.s1_entry_year')!!}</th>
                    <th data-field="s1_acad_year">{!! trans('student::student.label.s1_acad_year')!!}</th>
                    <th data-field="s1_school">{!! trans('student::student.label.s1_school')!!}</th>
                    <th data-field="s1_country">{!! trans('student::student.label.s1_country')!!}</th>
                    <th data-field="s2_name">{!! trans('student::student.label.s2_name')!!}</th>
                    <th data-field="s2_surname">{!! trans('student::student.label.s2_surname')!!}</th>
                    <th data-field="s2_gender">{!! trans('student::student.label.s2_gender')!!}</th>
                    <th data-field="s2_dob">{!! trans('student::student.label.s2_dob')!!}</th>
                    <th data-field="s2_entry_year">{!! trans('student::student.label.s2_entry_year')!!}</th>
                    <th data-field="s2_acad_year">{!! trans('student::student.label.s2_acad_year')!!}</th>
                    <th data-field="s2_school">{!! trans('student::student.label.s2_school')!!}</th>
                    <th data-field="s2_country">{!! trans('student::student.label.s2_country')!!}</th>
                    <th data-field="s3_name">{!! trans('student::student.label.s3_name')!!}</th>
                    <th data-field="s3_surname">{!! trans('student::student.label.s3_surname')!!}</th>
                    <th data-field="s3_gender">{!! trans('student::student.label.s3_gender')!!}</th>
                    <th data-field="s3_dob">{!! trans('student::student.label.s3_dob')!!}</th>
                    <th data-field="s3_entry_year">{!! trans('student::student.label.s3_entry_year')!!}</th>
                    <th data-field="s3_acad_year">{!! trans('student::student.label.s3_acad_year')!!}</th>
                    <th data-field="s3_school">{!! trans('student::student.label.s3_school')!!}</th>
                    <th data-field="s3_country">{!! trans('student::student.label.s3_country')!!}</th>
                    <th data-field="mother_name">{!! trans('student::student.label.mother_name')!!}</th>
                    <th data-field="mother_surname">{!! trans('student::student.label.mother_surname')!!}</th>
                    <th data-field="father_name">{!! trans('student::student.label.father_name')!!}</th>
                    <th data-field="father_surname">{!! trans('student::student.label.father_surname')!!}</th>
                    <th data-field="mother_email">{!! trans('student::student.label.mother_email')!!}</th>
                    <th data-field="father_email">{!! trans('student::student.label.father_email')!!}</th>
                    <th data-field="mother_phone">{!! trans('student::student.label.mother_phone')!!}</th>
                    <th data-field="father_phone">{!! trans('student::student.label.father_phone')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#student-student-entry', '{!!guard_url('student/student/0')!!}');
    oTable = $('#student-student-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('student/student') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'s1_name'},
            {data :'s1_surname'},
            {data :'s1_gender'},
            {data :'s1_dob'},
            {data :'s1_entry_year'},
            {data :'s1_acad_year'},
            {data :'s1_school'},
            {data :'s1_country'},
            {data :'s2_name'},
            {data :'s2_surname'},
            {data :'s2_gender'},
            {data :'s2_dob'},
            {data :'s2_entry_year'},
            {data :'s2_acad_year'},
            {data :'s2_school'},
            {data :'s2_country'},
            {data :'s3_name'},
            {data :'s3_surname'},
            {data :'s3_gender'},
            {data :'s3_dob'},
            {data :'s3_entry_year'},
            {data :'s3_acad_year'},
            {data :'s3_school'},
            {data :'s3_country'},
            {data :'mother_name'},
            {data :'mother_surname'},
            {data :'father_name'},
            {data :'father_surname'},
            {data :'mother_email'},
            {data :'father_email'},
            {data :'mother_phone'},
            {data :'father_phone'},
        ],
        "pageLength": 25
    });

    $('#student-student-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#student-student-list').DataTable().row( this ).data();
        $('#student-student-entry').load('{!!guard_url('student/student')!!}' + '/' + d.id);
    });

    $('#student-student-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#student-student-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#student-student-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#student-student-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>