<?php

namespace Gems\Student\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StudentTransformer extends TransformerAbstract
{
    public function transform(\Gems\Student\Models\Student $student)
    {
        return [
            'id'                => $student->getRouteKey(),
            'key'               => [
                'public'    => $student->getPublicKey(),
                'route'     => $student->getRouteKey(),
            ], 
            'id'                => $student->id,
            's1_name'           => $student->s1_name,
            's1_surname'        => $student->s1_surname,
            's1_gender'         => $student->s1_gender,
            's1_dob'            => $student->s1_dob,
            's1_entry_year'     => $student->s1_entry_year,
            's1_acad_year'      => $student->s1_acad_year,
            's1_school'         => $student->s1_school,
            's1_country'        => $student->s1_country,
            's2_name'           => $student->s2_name,
            's2_surname'        => $student->s2_surname,
            's2_gender'         => $student->s2_gender,
            's2_dob'            => $student->s2_dob,
            's2_entry_year'     => $student->s2_entry_year,
            's2_acad_year'      => $student->s2_acad_year,
            's2_school'         => $student->s2_school,
            's2_country'        => $student->s2_country,
            's3_name'           => $student->s3_name,
            's3_surname'        => $student->s3_surname,
            's3_gender'         => $student->s3_gender,
            's3_dob'            => $student->s3_dob,
            's3_entry_year'     => $student->s3_entry_year,
            's3_acad_year'      => $student->s3_acad_year,
            's3_school'         => $student->s3_school,
            's3_country'        => $student->s3_country,
            'mother_name'       => $student->mother_name,
            'mother_surname'    => $student->mother_surname,
            'father_name'       => $student->father_name,
            'father_surname'    => $student->father_surname,
            'mother_email'      => $student->mother_email,
            'father_email'      => $student->father_email,
            'mother_phone'      => $student->mother_phone,
            'father_phone'      => $student->father_phone,
            'user_id'           => $student->user_id,
            'user_type'         => $student->user_type,
            'upload_folder'     => $student->upload_folder,
            'deleted_at'        => $student->deleted_at,
            'created_at'        => $student->created_at,
            'updated_at'        => $student->updated_at,
            'url'               => [
                'public'    => trans_url('student/'.$student->getPublicKey()),
                'user'      => guard_url('student/student/'.$student->getRouteKey()),
            ], 
            'status'            => trans('app.'.$student->status),
            'created_at'        => format_date($student->created_at),
            'updated_at'        => format_date($student->updated_at),
        ];
    }
}